Eventum Logo

Eventum

ScenariosNameGeneratorsGenerator_nameGlobals usage

Get globals usage for a generator in a scenario

Detect globals.set/get usage in Jinja2 templates via AST analysis.

GET
/scenarios/{name}/generators/{generator_name}/globals-usage

Path Parameters

generator_name*Generator Name

Generator config name

Length1 <= length
name*Name

Scenario name

Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://loading/api/scenarios/string/generators/string/globals-usage"
{
  "writes": [
    {
      "key": "string",
      "template": "string"
    }
  ],
  "reads": [
    {
      "key": "string",
      "template": "string"
    }
  ],
  "warnings": [
    {
      "type": "string",
      "template": "string"
    }
  ]
}
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}